import type { UmbCreateBlueprintModalData, UmbCreateBlueprintModalValue } from './create-blueprint-modal.token.js';
import { UmbModalBaseElement } from '../../../../../core/modal/index.js';
export declare class UmbCreateBlueprintModalElement extends UmbModalBaseElement<UmbCreateBlueprintModalData, UmbCreateBlueprintModalValue> {
    #private;
    private _documentName;
    private _blueprintName;
    firstUpdated(): void;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbCreateBlueprintModalElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-create-blueprint-modal': UmbCreateBlueprintModalElement;
    }
}
